Skip to main content

Add a package to a hourly rate

POST 

/v1/rates/hourly/:id/packages

Add a package to a hourly rate by ID

Request

Path Parameters

    id stringrequired

    Hourly rate ID

Body

required
    name stringrequired

    Name of the package

    duration number

    Duration of the package

    type string

    Type of the package

    basedFee number

    Based fee of the package

    feePerExtraDuration number

    Fee per extra duration of the package

    feePerExtraDistance number

    Fee per extra distance of the package

    extraDurationType string

    Extra duration type of the package

    coveredDistance number

    Covered distance of the package. This value uses your fleet's distance unit.

Responses

Package added to hourly rate successfully

Schema
    _id stringrequired

    The ID of the package

    name stringrequired

    The name of the package

    duration numberrequired

    The duration of the package

    type stringrequired

    The type of the package

    basedFee numberrequired

    The based fee of the package

    feePerExtraDuration numberrequired

    The fee per extra duration of the package

    feePerExtraDistance numberrequired

    The fee per extra distance of the package

    extraDurationType stringrequired

    The extra duration type of the package

    coveredDistance numberrequired

    The covered distance of the package

Loading...